findutils (4.6.0+git+20161106-2) unstable; urgency=medium

  * 20_find-fix-memory-leak-in-mount-list-handling.patch from upstream GIT
    master: Fix memory leak in mount list handling. LP: #1364492
    https://savannah.gnu.org/bugs/?50326

 -- Andreas Metzler <ametzler@debian.org>  Sat, 18 Feb 2017 16:37:32 +0100

findutils (4.6.0+git+20161106-1) unstable; urgency=low

  * New upstream snapshot 58faf1ac3922e401e6bdd5dc7bb6e879dab5894c.
  * Drop unneeded code (related to
    11_Fix-bug-48030-find-exec-does-not-pass-all-arguments.patch) from
    debian/rules.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Nov 2016 18:54:23 +0100

findutils (4.6.0+git+20160703-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Jul 2016 14:04:12 +0200

findutils (4.6.0+git+20160703-1) experimental; urgency=low

  * New upstream snapshot.
  * Drop superfluous patches:
    - 11_Fix-bug-48030-find-exec-does-not-pass-all-arguments.patch
    - 13_replace_xmalloc_with_xzalloc.diff
    - 14_testsuiteupdate_typef_error.diff

 -- Andreas Metzler <ametzler@debian.org>  Mon, 04 Jul 2016 13:12:33 +0200

findutils (4.6.0+git+20160517-5) unstable; urgency=low

  * 14_testsuiteupdate_typef_error.diff: Enhance testsuite to detect #827724.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 25 Jun 2016 13:00:33 +0200

findutils (4.6.0+git+20160517-4) unstable; urgency=low

  * 13_replace_xmalloc_with_xzalloc.diff by Maximiliano Curia: Hotfix wrong
    result on armhf armel and mipsel. Closes: #827724

 -- Andreas Metzler <ametzler@debian.org>  Mon, 20 Jun 2016 19:55:29 +0200

findutils (4.6.0+git+20160517-3) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 19 Jun 2016 12:02:25 +0200

findutils (4.6.0+git+20160517-2) experimental; urgency=medium

  * 10_fix_bsd_hurd_testsuite.diff: link() follows symlinks on BSD on hurd,
    use ln -P to enforce hardlink to symlink. Closes: #826357
    (Thanks, Samuel Thibault for bug-report and diagnosis.)
  * Pull 11_Fix-bug-48030-find-exec-does-not-pass-all-arguments.patch from GIT
    head, fixing an issue with "find: -exec +" skipping arguments (savannah
    bug 48030).

 -- Andreas Metzler <ametzler@debian.org>  Sun, 05 Jun 2016 13:07:33 +0200

findutils (4.6.0+git+20160517-1) experimental; urgency=medium

  * Sort build-dependencies.
  * Annotate b-d on dejagnu with <!nocheck>. Bump debhelper build-dependency
    to >= 9.20141010 and add b-d on dpkg-dev (>= 1.17.14).
  * Update to findutils (85e8c810a29cca8faea6cbd93169cf7051cd65b5) and gnulib
    (246b3b28808ee5f4664be674dce573af9497fc7a) head.
    + Fixes "frcode drops last char if no final newline" Closes: #567578

 -- Andreas Metzler <ametzler@debian.org>  Sat, 28 May 2016 14:26:10 +0200

findutils (4.6.0+git+20160126-2) unstable; urgency=medium

  * Also add libpython3.4-minimal (<< 3.4.4-2) and libpython3.5-minimal
    (<< 3.5.1-3) to findutils' Breaks.- See #809079.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Feb 2016 14:47:12 +0100

findutils (4.6.0+git+20160126-1) experimental; urgency=medium

  * Update to findutils and gnulib head.
    + Includes updated mbrtowc.m4, fixing testsuite error on fr_FR locale.
      Closes: #812762
    + Needs bison to build.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 31 Jan 2016 15:22:17 +0100

findutils (4.6.0-2) unstable; urgency=low

  * debian/watch: Scan both alpha.gnu.org and ftp.gnu.org.
  * Merge master to experimental:
    + Include stable changelog entries
    + Fix building twice in a row by deleting doc/stamp-vti, doc/version.texi,
      on clean. (Not necessary now, but might hit us if we patch the docs.)
  * Add more breaks with packages using find -perm +xx at runtime.  For
    debconf switch from Breaks to Conflicts to be on the very safe side.
    Closes: #704879
  * Move Vcs-* from git/http to https.
  * Upload to unstable. Closes: #784168

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Jan 2016 12:57:07 +0100

findutils (4.6.0-1) experimental; urgency=medium

  * New upstream stable release.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 29 Dec 2015 07:37:10 +0100

findutils (4.5.19-1) experimental; urgency=medium

  * New upstream version.
    + Includes fixes submitted in Closes: #726870

 -- Andreas Metzler <ametzler@debian.org>  Mon, 28 Dec 2015 16:06:14 +0100

findutils (4.5.18-1) experimental; urgency=medium

  * New upstream version.
    + Drop 10_bashism.diff.
    + Fixes lintian warning license-problem-gfdl-non-official-text.
    + oldfind is not installed anymore.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 28 Dec 2015 12:55:21 +0100

findutils (4.5.17-1) experimental; urgency=medium

  * New upstream version.
  * Enable GPG signature checking in debian/watch, allowing both
    A15B725964A95EE5 and 88DD9E08C5DDACB9.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 25 Dec 2015 13:12:02 +0100

findutils (4.5.16-1) experimental; urgency=medium

  * New upstream version.
    + Drop 20_perl5.22.ftbfs.diff.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 23 Dec 2015 19:25:47 +0100

findutils (4.5.15-1) experimental; urgency=medium

  * New upstream version.
    + Refresh patches.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 18 Dec 2015 19:39:45 +0100

findutils (4.5.14-3) experimental; urgency=medium

  * 20_perl5.22.ftbfs.diff: Fix error on make check with perl 5.22 due to
    unescaped left brace in regex. Closes: #788712

 -- Andreas Metzler <ametzler@debian.org>  Fri, 02 Oct 2015 19:04:51 +0200

findutils (4.5.14-2) experimental; urgency=medium

  * Convert to dh (v9).
  * Support bz2/xz in watchfile.
  * Build with hardening=+all.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 14 Jun 2015 13:21:04 +0200

findutils (4.5.14-1) experimental; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Jul 2014 08:15:23 +0200

findutils (4.5.13-1) experimental; urgency=low

  * Point Vcs-* to GIT repository.
  * Add Breaks for sendmail, see Bug#724772.
  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 16 Jul 2014 14:59:46 +0200

findutils (4.5.12-1) experimental; urgency=low

  * New upstream version.
  * Includes upstream bug fixes:
    + find -execdir leaks file descriptors for the working directory
      Closes: #650795
    + exits without error on OOM. Closes: #712792
  * find -perm +octalmode now exits with an error instead of failing
    silently. Closes: #704879 Add Breaks for versions of debconf and debhelper
    which used this feature. I will also try to come up with lintian test.
  * Drop 20_missing-variable-initialisati.patch completely, and also parts of
    10_bashism.diff.
  * Fix config.(sub|guess) update, the relevant files are in build-aux/.
    Closes: #689620
  * Point Vcs-* to anonscm.d.o.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 28 Sep 2013 08:46:13 +0200

findutils (4.5.11-2) experimental; urgency=low

  * [20_missing-variable-initialisati.patch] pulled from upstream git
    fixes a crash in locate. Closes: #704193
  * Patch from Steve Langasek/Ubuntu - Mark findutils and locate multi-arch:
    foreign. Closes: #657088

 -- Andreas Metzler <ametzler@debian.org>  Sat, 20 Apr 2013 11:11:55 +0200

findutils (4.5.11-1) experimental; urgency=low

  * New upstream version.
    + 10_bashism.diff - Fix new bashisms in testsuite.
    + Documents differences between oldfind and find in manpages find.1,
      and oldfind.1. Use this one instead of symlinking find.1.
      Closes: #626907 (LP: #1026586)
    + Fixes excessive memory usage when using -printf and %A %C or %T.
      Closes: #687358
    + findutils: -ls shows major/minor device number. Closes: #397435
    + Uses last entry in mtab instead of first one for -printf '%F', i.e. it
      won't show rootfs for files on / anymore.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Feb 2013 18:31:22 +0100

findutils (4.5.10-2) experimental; urgency=low

  * Use /usr/share/dpkg/buildflags.mk if available. Closes: #653849
  * Add build-arch/build-indep targets.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 01 Jan 2012 10:10:13 +0100

findutils (4.5.10-1) experimental; urgency=low

  * New upstream version.
    + find -execdir changes directory correctly again. (This broke in 4.5.9)
      Closes: #582717
    + Drop 10_testsuiteonbsd.diff, applied upstream.
  * Break instead of conflicting with slocate.
  * [lintian] Point to versioned copy of GPL in debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 May 2011 16:10:05 +0200

findutils (4.5.9-1) experimental; urgency=low

  * New upstream version.
    + Fixes FTBFS on kfreebsd-* and hurd. Closes: #577131
    + improved -execdir performance. Closes: #489046
  * [10_testsuiteonbsd.diff] work around different kernel behavior on *BSD,
    see #578271. Thanks, Sergei Golovan.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 08 May 2010 17:53:49 +0200

findutils (4.5.8-1) experimental; urgency=low

  * libselinux1-dev is only available on Linux, update build-dependency.
  * New upstream version.
    Fixes savannah #29460: -printf %Y fails in $CWD-dependent way.
    Closes: #576772

 -- Andreas Metzler <ametzler@debian.org>  Thu, 08 Apr 2010 19:03:56 +0200

findutils (4.5.7-1) experimental; urgency=low

  * Use dh_installcron to install locate's cron script.
  * Stop suggesting slocate, it has been removed from the archive.
    Closes: #565653
  * New upstream development release. 
    + includes patch for SELinux support (option -context and -printf '%Z').
      Closes: #572809
    + Correct error message for invalid arg to -ctime and other arguments
      ("invalid argument" istead of "missing argument"). Closes: #568490
    + Consistent documentation about (i)path/(i)wholename. Closes: #522389
  * Add libselinux1-dev to build-depends.
  * Ship find-maint.info.
  * [lintian] Drop leading asterisks in NEWS file.
  * Drop dpatch in favour of 3.0 (quilt).
  * Update debian/copyright.
  * Point watchfile to alpha.gnu.org.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Apr 2010 19:32:46 +0200

findutils (4.4.2-10) unstable; urgency=low

  * Build with hardening=+all.
  * Add one more fix to 20_texi_ftbfs.diff.
  * 25_stop-using-obsolete-macro.diff: Drop invocation of AM_C_PROTOTYPES macro
    in configure.ac. Also use some touch-magic to prent unwanted rerun of 
    auto*. Closes: #803740

 -- Andreas Metzler <ametzler@debian.org>  Fri, 06 Nov 2015 19:32:10 +0100

findutils (4.4.2-9) unstable; urgency=medium

  * 22_gl_update_mktime.diff: Update mktime* from gnulib 20140202+stable-2 to
    fix a FTBFS on x32. (Thanks, Helmut Grohne) Closes: #753896

 -- Andreas Metzler <ametzler@debian.org>  Sun, 06 Jul 2014 08:03:56 +0200

findutils (4.4.2-8) unstable; urgency=low

  * Point Vcs-* to GIT repository.
  * [lintian] Do not use asterisk in latest NEWS entry.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Apr 2014 19:22:45 +0200

findutils (4.4.2-7) unstable; urgency=low

  * Merge from Ubuntu:
    + Mark findutils and locate Multi-Arch: foreign. Closes: #657088
    + Preseed gl_cv_func_wcwidth_works for cross builds. Closes: #729847
  * Use dh v9 compat level.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Dec 2013 18:53:37 +0100

findutils (4.4.2-6) unstable; urgency=low

  * [20_texi_ftbfs.diff] Pull some texi fixes from 4.5.x. Closes: #710849
  * [21-Fix-time_t-vs-long-int-mismatches.patch] Fix build error on x32
    (Thanks, Adam Borowski). Also add bison to build-depends.
    Closes: #711412
  * Fix building twice in a row by deleting doc/stamp-vti, doc/version.texi,
    gnulib/lib/getdate.c on clean.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Jun 2013 14:18:02 +0200

findutils (4.4.2-5) unstable; urgency=low

  * Fix config.(sub|guess) update, the relevant files are in build-aux/.
    Closes: #689620
  * Add build-arch/build-indep targets.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 04 Oct 2012 19:16:52 +0200

findutils (4.4.2-4) unstable; urgency=low

  * Use 3.0 (quilt) format.
  * 10_Fix29828-testsuite-FreeBSD.patch, pulled from 4.5 series. Fix testsuite
    deadlock on FreeBSD.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 06 Jan 2012 10:40:28 +0100

findutils (4.4.2-3) unstable; urgency=low

  * Drop all dpatch related stuff.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 31 Dec 2011 17:19:39 +0100

findutils (4.4.2-2) unstable; urgency=low

  * Use dh_installcron to install locate's cron script.
  * Stop suggesting slocate, it has been removed from the archive.
    Closes: #565653
  * Enable hardened build flags through dpkg-buildflags. (Thank's, Moritz
    Muehlenhoff). Closes: #653849
  * Drop dpatch build-dependency.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 31 Dec 2011 16:21:15 +0100

findutils (4.4.2-1) unstable; urgency=low

  * debian/locate-cron.daily: Test if called by root. (Thank's, Michael Vogt).
    Closes: #526939
  * New upstream version.
    + find -prune now makes sure it has valid stat() information.
      Closes: #527584
    + Drop patches/10_typo_525263.dpatch, included upstream.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Jun 2009 16:56:11 +0200

findutils (4.4.1-1) unstable; urgency=low

  * New upstream maintenance release.
    + Drop 10_unnecessary_tempfile.dpatch, applied upstream.
    + Drops duplicate filesystem proc in PRUNEFS. Closes: #518120
    + Correct code for displaying \0 in find.1. Closes: #476218
    + Updates documentation for find -perm /mode. Closes: #478005
    + Fixes segfault if  -newerXY test was not followed by any argument.
      Closes: #496853

  * Standards-Version 3.8.1.
    + Add support for DEB_BUILD_OPTIONS=nocheck.
  * Use filter instead of findstring when checking for
    DEB_BUILD_OPTIONS=noopt.
  * Fix typo "diagnositcs" in docs. Closes: #525263
  * Update copyright stanza in debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 25 Apr 2009 10:13:14 +0200

findutils (4.4.0-3) unstable; urgency=low

  * Selective pull from Ubuntu:
    - Change version check in findutils preinst from "$2" le-nl "4.2.31-1"
      to "$2" lt-nl "4.2.31-2". This check correctly catches the respective
      ubuntu or backport versions.
    - add /var/lib/schroot/mount to PRUNEPATHS.
  * Add ocfs2 to PRUNEFS. Closes: #516776
  * Standards-Version 3.8.0. No changes required.
  * Clean up build system.
    + Stop setting INSTALL_PROGRAM += -s on DEB_BUILD_OPTIONS=nostrip in
      debian/rules.
    + Remove old commented commands.
    + Switch to debhelper v7. (Use dh_prep instead of dh_clean -k).

 -- Andreas Metzler <ametzler@debian.org>  Sun, 01 Mar 2009 18:27:17 +0100

findutils (4.4.0-2) unstable; urgency=low

  * Stop generating a unnecessary unsafe tempfile in testsuite. Should fix
    ftbfs on hppa. [debian/patches/10_unnecessary_tempfile.dpatch]

 -- Andreas Metzler <ametzler@debian.org>  Thu, 03 Apr 2008 19:38:59 +0200

findutils (4.4.0-1) unstable; urgency=low

  * New upstream stable version.
    + Some fixes for the texinfo manuals. (Closes: #470308)
  * First upload to unstable, close bugs fixed by previous uploads to
    experimental:
    + POSIX is going to or has already standardized -[i]path. Stop throwing a
      warning sugging to use -[i]wholename instead. Closes: #336078
    + Better error message if the second operand of a binary operator is
      missing. (Closes: #403823)
    + #22056: -Xtime tests are off by one second (e.g. rm -f x; touch x;
      find x -mtime 0 should print x). Closes: #460733
    + If locatedb is old show actual age in warning mesage instead of just
      saying "more than 8 days old". (Closes: #354384)
    + Do not show warnings about argument ordering if -nowarn is specified.
      (Closes: #370057)
    + find -execdir will not segfault if PATH is not set. Closes: #438689
    + Different error message on 'find ""'. (Closes: #21084)
    + Support for *BSDs -newerXY tests allows to find files with a date in the
      future without generating a temporary file. "find -newermt 2007-07-07"
      (Closes: #291419)
  * Stop trying to install removed README-alpha.
  * Point watchfile to ftp.gnu.org instead of alpha.gnu.org.
  * Use doc-base section "File Management", since Apps/Tools is gone.
  * Only run $(MAKE) distclean if Makefile exists.
  * Symlink find(1) to oldfind(1) manpage.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 15 Mar 2008 16:26:43 +0100

findutils (4.3.13-1) experimental; urgency=low

  * New upstream version.
    #22057: Actually rename the old locate database to the new one
    atomically, instead of just claiming the rename is atomic in a
    comment. Closes: #461585
    #22056: -Xtime tests are off by one second (e.g. rm -f x; touch x;
    find x -mtime 0 should print x). Closes: #460733
  * merge from 4.2.x:
    - Add Vcs-Svn, Vcs-Browser and Homepage control fields.
    - Try to preserve user changes of updatedb.conf on upgrading from
      findutils versions with included locate: If updatedb.conf is user
      modified and /etc/updatedb.findutils.cron.local does not yet exist,
      generate the latter from the former. Closes: #459570
  * Upstream's documentation licensing has been fixed, update
    debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Mar 2008 12:34:04 +0100


findutils (4.3.12-1) experimental; urgency=low

  * New upstream version
  * Merge changes 4.2.31-3-->4.2.31-4 from unstable.
    + Standards-Version: 3.7.3, no changes required.
    + findutils Suggests: mlocate|locate|slocate. Long description of
      findutils was improved. (Thanks, Justin B Rye). Closes: #455690
    + Fixed minor grammar error in 4.2.31-2 entry of NEWS.Debian. (Thanks,
      Steve Langasek) Closes: #457231
    + Allow setting IONICE_CLASS and IONICE_PRIORITY in
      /etc/updatedb.findutils.cron.local. (Thanks, Kees Cook).
      Closes: #454677
    + locate-cron.daily
      - Do not run ionice for kernels < 2.6.13. Redirect ionice stderr and
        stdout to /dev/null. (Thanks, Craig Sanders)
      - Allow disabling ionice by setting  UPDATDB_NO_IONICE to a non-empty
        value in /etc/updatedb.findutils.cron.local Closes: #456291
      - run with "set -e"
    + Reformat /usr/share/doc/locate/README.Debian and add a comment about the
      effects of IONICE_CLASS. (Thanks, James Youngman)
    + Do not export NICE in the cronjob, since updatedb itself does not make
      use of it.
   * Refer to /usr/share/common-licenses/GFDL-1.2 in debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 06 Jan 2008 11:52:09 +0100

findutils (4.3.11-1) experimental; urgency=low

  * New upstream version.
    + GPLv3+. Update debian/copyright.
    + includes fix for savannah #20139: find -[acm]time -N (wrongly) includes
      files from N days ago, as well as (correctly) from less than N days ago.
    + POSIX is going to or has already standardized -[i]path. Stop throwing a
      warning sugging to use -[i]wholename instead. Closes: #336078
    + find -execdir will not segfault if PATH is not set. Closes: #438689
  * Add a note about the separate locate package to findutils' NEWS.Debian.
    README.Debian only talks about locate. Move it to the correct package,
    update contents. Closes: #453002
  * locate needs a Replaces: findutils (<< 4.2.31-2), since the helper
    binaries in /usr/lib/locate/ are shipped in both packages. Closes: #453078
  * Rename /etc/cron.daily/find to /etc/cron.daily/locate. Use "export foo
    bar" instead of "export foo ; export bar". (Thanks, jidanni).
    Closes: #453490

 -- Andreas Metzler <ametzler@debian.org>  Sun,  2 Dec 2007 16:14:34 +0100

findutils (4.3.8-3) experimental; urgency=low

  * fix removal of alternatives. (Thanks, dato)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 17 Nov 2007 11:57:45 +0100

findutils (4.3.8-2) experimental; urgency=low

  * Split off locate/updatedb to a separate package.
    (resulting description change Closes: #448523)
  * Drop misnamed /etc/updatedb.conf and include its contents in cron.daily
    file.  (updatedb.conf only configured the cronjob, but not any
    invocation of updatedb. (Closes: #342713). Allow keeping customization in a
    separate /etc/updatedb.findutils.cron.local (Closes: #344213)
  * Set cronjob IO scheduling to idle. (Thanks, Alberto Marmodoro)
    (Closes: #448398)
  * Use alternatives to manage /usr/bin/locate and /usr/bin/updatedb.
    (Closes: #57748)
  * Remove orphaned locate related conffiles on findutils upgrade as described
    in http://wiki.debian.org/DpkgConffileHandling
  * In findutils.postinst remove locate database unless locate is installed.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 11 Nov 2007 15:04:12 +0100

findutils (4.3.8-1) experimental; urgency=low

  * New upstream version 4.3.8.
    - Fixes locate heap buffer overflow when using databases in old format.
      (CVE-2007-2452) Closes: #426862
    - Fixes savannah bug #20005: Tests -mtime -n and -mtime +n incorrectly
      treated like -mtime n. Closes: #426505
    - Correct docs for %b printf specifier. (Closes: #400936)
  * Pulled from CVS: 01_sv-bug-20139.dpatch:
    find -[acm]time -N (wrongly) includes files from N days ago, as well as
    (correctly) from less than N days ago.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 23 Jun 2007 09:05:25 +0200

findutils (4.3.6-1) experimental; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 27 May 2007 10:50:49 +0200

findutils (4.3.5-1) experimental; urgency=low

  * New upstream version.
    - Better error message if the second operand of a binary operator is
      missing. (Closes: #403823)
    - If locatedb is old show actual age in warning mesage instead of just
      saying "more than 8 days old". (Closes: #354384)
    - Do not show warnings about argument ordering if -nowarn is specified.
      (Closes: #370057)
    - Correct docs for %b printf specifier. (Closes: #400936)
    - [-version] instead of [--version] in locate --help. (Closes: #412459)
    - make clean does not delete regexprops.texi if cross-building.
      (Closes: #420190)
    - Different error message on 'find ""'. (Closes: #21084)
    - Support for *BSDs -newerXY tests allows to find files with a date in the
      future without generating a temporary file. "find -newermt 2007-07-07"
      (Closes: #291419)
    - Non-printable characters escaped in errormessages, too. (Closes: #259194)
  * Undo workaround for savannah #19550, since it is a glibc bug.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 13 May 2007 14:40:44 +0200


findutils (4.2.33-1) unstable; urgency=low

  * New upstream version. (Translation updates and additions only.)
  * Add Vcs-Svn, Vcs-Browser and Homepage control fields.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Feb 2008 13:26:48 +0100

findutils (4.2.32-1) unstable; urgency=low

  * New upstream version.
    - Fixes memory-corruption caused by off-by-one error in lib/listfile.c.
      Closes: #462224
    - Correct docs for %b printf specifier in info manual, too.
      (Closes: #400936)
   * License now GPLv3+, update debian/copyright.
   * Try to preserve user changes of updatedb.conf on upgrading from findutils
     versions with included locate: If updatedb.conf is user modified and
     /etc/updatedb.findutils.cron.local does not yet exist, generate the
     latter from the former. Closes: #459570
   * Point watch file to ftp.gnu.org instead of alpha.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 27 Jan 2008 10:18:07 +0100

findutils (4.2.31-4) unstable; urgency=low

  * Allow setting IONICE_CLASS and IONICE_PRIORITY in
    /etc/updatedb.findutils.cron.local. (Thanks, Kees Cook).
    Closes: #454677
  * Standards-Version: 3.7.3, no changes required.
  * Reformat /usr/share/doc/locate/README.Debian and add a comment about the
    effects of IONICE_CLASS. (Thanks, James Youngman)
  * Do not export NICE in the cronjob, since updatedb itself does not make use
    of it.
  * findutils Suggests: mlocate|locate|slocate. Long description of findutils
    was improved. (Thanks, Justin B Rye). Closes: #455690
  * locate-cron.daily
    - Do not run ionice for kernels < 2.6.13. Redirect ionice stderr and
      stdout to /dev/null. (Thanks, Craig Sanders)
    - Allow disabling ionice by setting  UPDATDB_NO_IONICE to a non-empty
      value in /etc/updatedb.findutils.cron.local Closes: #456291
    - run with "set -e"
  * Fixed minor grammar error in 4.2.31-2 entry of NEWS.Debian. (Thanks,
    Steve Langasek) Closes: #457231

 -- Andreas Metzler <ametzler@debian.org>  Sat,  1 Dec 2007 12:47:17 +0100

findutils (4.2.31-3) unstable; urgency=low

  * Add a note about the separate locate package to findutils' NEWS.Debian.
    README.Debian only talks about locate. Move it to the correct package,
    update contents. Closes: #453002
  * locate needs a Replaces: findutils (<< 4.2.31-2), since the helper
    binaries in /usr/lib/locate/ are shipped in both packages. Closes: #453078
  * Rename /etc/cron.daily/find to /etc/cron.daily/locate. Use "export foo
    bar" instead of "export foo ; export bar". (Thanks, jidanni).
    Closes: #453490

 -- Andreas Metzler <ametzler@debian.org>  Sat, 24 Nov 2007 10:55:17 +0100

findutils (4.2.31-2) unstable; urgency=low

  * Merge changes from 4.3.8-1 to 4.3.8-3 to unstable:
    + Split off locate/updatedb to a separate package.
      (resulting description change Closes: #448523)
    + Drop misnamed /etc/updatedb.conf and include its contents in cron.daily
      file.  (updatedb.conf only configured the cronjob, but not any
      invocation of updatedb. (Closes: #342713). Allow keeping customization
      in a separate /etc/updatedb.findutils.cron.local (Closes: #344213)
    + Set cronjob IO scheduling to idle. (Thanks, Alberto Marmodoro)
      (Closes: #448398)
    + Use alternatives to manage /usr/bin/locate and /usr/bin/updatedb.
      (Closes: #57748)
    + Remove orphaned locate related conffiles on findutils upgrade as
      described in http://wiki.debian.org/DpkgConffileHandling
    + In findutils.postinst remove locate database unless locate is installed.

 -- Andreas Metzler <ametzler@debian.org>  Sat,  2 Jun 2007 10:53:46 +0200

findutils (4.2.31-1) unstable; urgency=medium

  * Undo workaround for savannah #19550, since it is a glibc bug.
  * New upstream bugfix release:
    - Fixes locate heap buffer overflow when using databases in old format.
      (CVE-2007-2452) Closes: #426862
    - make clean does not delete regexprops.texi if cross-building.
      (Closes: #420190)
    - [-version] instead of [--version] in locate --help. (Closes: #412459)

 -- Andreas Metzler <ametzler@debian.org>  Sat,  2 Jun 2007 09:55:27 +0200

findutils (4.2.30-1) unstable; urgency=low

  * New upstream version.
    - drop patches/11_fix_execdir.dpatch added in 4.2.28-2.
    - drop debian/patches/10_tcl8.3_testsuite_failure.dpatch
  * Work around http://savannah.gnu.org/bugs/?19550 by forcing
    --without-included-regex.

 -- Andreas Metzler <ametzler@debian.org>  Sun,  8 Apr 2007 13:38:24 +0200

findutils (4.2.28-2) unstable; urgency=low

  * Pulled from 4.2.29
    - Fix breakage with slightly more complicated commands and -exedir.
      (Closes: #385896)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 25 Feb 2007 10:44:55 +0100

findutils (4.2.28-1) unstable; urgency=low

  * New upstream version.
   - includes 01_updatedb-withnew-su.dpatch, drop it.

 -- Andreas Metzler <ametzler@debian.org>  Sun,  6 Aug 2006 09:53:05 +0200

findutils (4.2.27-3) unstable; urgency=low

  * [updatedb] use su "$LOCALUSER" -s $SHELL -c false instead of
    su "$LOCALUSER" -s $SHELL false to make it work with current su in sid.
    Thanks, Chronos Tachyon for bugreport and fix. (Closes: #366269)
  * standards-version 3.7.2, no changes required.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 13 May 2006 13:41:30 +0200

findutils (4.2.27-2) unstable; urgency=low

  * Invoke ./configure according to latest autotools-dev/README.Debian.gz,
    just with --build for regular builds, and both --build and --host when
    crosscompiling, instead of always specifying both.
  * Do not run testsuite when cross-compiling. (Thanks, Pjotr Kourzanov)
    (Closes: #358774)
  * Fix testsuite failure with tcl8.3 by pulling fix from CVS.
    (Closes: #361401)

 -- Andreas Metzler <ametzler@debian.org>  Fri, 24 Mar 2006 19:06:03 +0100

findutils (4.2.27-1) unstable; urgency=low

  * New upstream version
    - filesystem detection should be correct more often. Hopefully closes
      #344356
  * Add udf to PRUNEFS (Closes: #340597)

 -- Andreas Metzler <ametzler@debian.org>  Fri,  6 Jan 2006 17:45:04 +0100

findutils (4.2.26-2) unstable; urgency=low

  * [xargs] Use true instead of echo in testsuite, hopefully fixing FTBFS on
    alpha, amd64 and ia64. (Closes: #340664)
  * [xargs] Limit number of arguments to (arg_max / sizeof(void*)) - 2 instead
    of ...-1, hopefully fixing FTBFS on hppa.
  * [updatedb] Add binfmt_misc, tmpfs, usbfs to PRUNEFS (Closes: #229551)

 -- Andreas Metzler <ametzler@debian.org>  Sat,  3 Dec 2005 13:52:20 +0100

findutils (4.2.26-1) unstable; urgency=low

  * mimick override-file and put find in section utils instead of base.
  * debian/README.debian: on_ac_power works for ACPI, too. (Closes: #306963)
  * Add a NEWS.Debian file, explaining the withdrawal of "find -perm +MODE"
    and introduction of "find -perm /MODE". (Closes: #329358)
  * New upstream version 4.2.26.
    - find manpage updated to document -perm /... instead of -perm +...
      (Closes: #330245)
    - Typos in xargs.1 and find.1 fixed. (Thanks, A. Costa)
      (Closes: #327909, #327910)
    - If the input to xargs is a large number of very short options (for
      example, one character each), earlier versions of xargs would fail
      with 'Argument list too long'. This is because Linux's execve
      implementation requires that the sum of the sizes of all argument
      string pointers not exceed 128K (the actual limit is 
      ARG_MAX - sizeof (void*)). Hopefully (Closes: #313028).

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Nov 2005 09:38:42 +0100

findutils (4.2.25-1) unstable; urgency=low

  * new upstream version 4.2.25. (bugfix and improved testsuite)
  * add findutils-4.2.25-14390.dpatch, fixing a testsuite failure concerning
    find -depth ... -quit
  * Update debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sun,  4 Sep 2005 09:35:59 +0200

findutils (4.2.24-1) unstable; urgency=low

  * standards-version 3.6.2, no changes required.
  * New upstream version 4.2.24:
    - "-printf %Y %y"n works correctly again (Closes: #320378).
    - new option -regextype to finds for selecting more useful regex-variants
      than the default GNU Emacs.
    - find -exec rm -i {} \; works again. (Closes: #317019)
    - xargs exits with correct exit status 123 if invoked command returned
      non-zero returncode. (Closes: #319085)
    - xargs -I option documented in manpage. (Closes: #317086)
    - fixes to find.1 manpage (Closes: #318417)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 30 Jul 2005 09:14:35 +0200

findutils (4.2.22-2) unstable; urgency=high

  * Remove locatedb on purge. (Closes: #315343)
  * revert regex-syntax back to emacs-re. (Closes: #315136) Future versions
    will allow to select this by commandline parameter.

 -- Andreas Metzler <ametzler@debian.org>  Mon,  4 Jul 2005 11:37:37 +0200

findutils (4.2.22-1) unstable; urgency=low

  * New upstream version
    - fixes infinite loop of "find -follow" on trees with symlinks to ./.
      (Closes: #313081)
    - better documentation for %k and %d printf directives. (Closes: #208307)
    - find filters out non-printable characters (which could mess up the
      terminal) when printing the output to a console. (Closes: #311384)
    - Typo fixes. (Closes: #301934, #312760, #312761) (Thanks, A Costa.)

 -- Andreas Metzler <ametzler@debian.org>  Mon, 13 Jun 2005 19:39:46 +0200

findutils (4.2.20-3) unstable; urgency=low

  * find dir/foo -depth -empty was broken. Pull fix from 4.2.21.
    (Closes: #313079)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 12 Jun 2005 17:05:41 +0200

findutils (4.2.20-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Thu,  9 Jun 2005 20:07:37 +0200

findutils (4.2.20-1) experimental; urgency=low

  * [locate] Do not index cifs (Closes: #295399) lustre (Closes: #300323) and
    nfs4 (Closes: #300631) filesystems by default.
  * [locate] Ignore /media by default. (Closes: #300429)
  * New upstream version 4.2.20
    - includes up-to-date Italian translation. (Closes: #286977)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 27 Mar 2005 10:54:02 +0200

findutils (4.2.14-1) experimental; urgency=low

  * New upstream version
    - includes patch to fix savannah #11495.
    - locate: New options  -L, --follow|-P, -H, --nofollow for ignoring
      dangling symlinks (or not). (Closes: #159221)
    - find supports -exec ... {} +.
    - locate support for FreeBSD options (Sclms, m and s are ignored, but
      undocumented, I've already opened upstream report #11730 on that.)
      (Closes: #102914)
    - find built with --enable-d_type-optimisation, for using
      readdir/getdents. (Closes: #202512)

 -- Andreas Metzler <ametzler@debian.org>  Tue, 25 Jan 2005 11:40:21 +0100

findutils (4.2.11-2) experimental; urgency=low

  * find -printf '%n' (hard link count) was broken (savannah #11495).

 -- Andreas Metzler <ametzler@debian.org>  Fri,  7 Jan 2005 09:13:32 +0100

findutils (4.2.11-1) experimental; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Wed,  5 Jan 2005 12:29:36 +0100

findutils (4.2.10.CVS20041219-1) experimental; urgency=low

  * New upstream, CVS from CVS20041219 (pre- 4.2.11).
    * -printf '%P' works correctly again.
  * Run testsuite.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 19 Dec 2004 11:58:08 +0100

findutils (4.2.9-1) experimental; urgency=low

  * New upstream source

 -- Andreas Metzler <ametzler@debian.org>  Sun,  5 Dec 2004 22:33:29 +0100

findutils (4.2.8-1) experimental; urgency=low

  * New upstream version
    - New option --arg-file=file and extended documentation about
      stdin-handling (short in manpage, more extensive in info).
      (Closes: #5956)
    - improved behavior on automounted directories.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 30 Nov 2004 10:19:56 +0100

findutils (4.2.5-1) experimental; urgency=low

  * New upstream version
    - includes 25_destdir_localstatedir.dpatch, our last remaining patch, we
      are vanilla now.
  * Add minimal debian/README.source.
  * Chuan-kai Lin <cklin@debian.org> has offered to serve as backup
    maintainer. Thanks. Add him to Uploaders.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 20 Nov 2004 09:38:55 +0100

findutils (4.2.4-1) experimental; urgency=low

  * New upstream version
    - Closes: #175372: findutils: man pages have L's on references
    - includes 10_updatedb-findopts patch.
    - does not print warning about listing options after non-options unless
      connected to a tty.
    - xargs now uses 128Kb instead of 20Kb of command line by default, as
      ARG_MAX is 131072 on linux this Closes: #261598.

 -- Andreas Metzler <ametzler@debian.org>  Tue,  9 Nov 2004 10:57:24 +0100

findutils (4.2.3.CVS20041106-1) experimental; urgency=low

  * New upstream version (pre-4.2.4, CVS 2004-11-06).
    - Closes: #176201: findutils: xargs enviroment size limited to 20k
    - Closes: #254676: xargs: environment is too large for exec
    - Closes: #219855: -printf: accepts C octal escapes, contrary to the
      documentation.
    - Closes: #246040: findutils: find -printf %H segfaults
    - Closes: #185202: findutils: extra ")" not caught
    - Closes: #185203: findutils: overflow causes -mtime to succeed
    - Closes: #244766: /usr/bin/locate: locate should have equivalent of
      -print0 option
    - documents type of supported regular expressions for -regex
      (Closes: #162838)
    - Closes: #256367: Deprecated usage of trap in locate/updatedb.sh
    - includes some examples in find.1 manpage. (Closes: #111578)
    - new option -ignore_readdir_race to selectively suppress the obnoxious
      race-condition caused errormessages. (Closes: #67782)
    - -print0/-0 issues explained in more detail. (Closes: #111143)
    - includes supplied patch for GNU/FreeBSD. (Closes: #192330)
    - updatedb invokes "cd /" before running commands as unprivileged user.
      (Closes: #262476)
    - 'xargs -n 1 -i' works. (Closes: #31858). Please note that it is no bug
      that -i changes xargs to pass a whole line of input as a single argument
      instead of splitting on any blank characters as without -i. - Other
      implementations behave the same and the -I XSI extension documented in
      SUSv3/POSIX works like this, too.

   * Removed unnecessary patches: 10_missing_includes 20_missing_newlines
     30_locate_nologinsh 35_updatedb-location 36_savannah-8623 40_direntry
     50_install_info
  * Add shfs to PRUNFS (Closes: #260780)
  * New patch: 10_updatedb-findopts: Add --findoptions option to updatedb to
    pass global options to find.
  * Set FINDOPTIONS='-ignore_readdir_race' for updatedb.sh's cron-job.
    (Closes: #169730)
  * standards-version 3.6.1 (no changes required).

 -- Andreas Metzler <ametzler@debian.org>  Sun,  7 Nov 2004 13:11:28 +0100

findutils (4.1.20-4) unstable; urgency=low

  * Add sysfs to PRUNFS (Closes: #219340)
  * Add watch file provided Stefano Fabri. (Closes: #248758)
  * locate crashed on invalid db-files. Fix pulled from CVS. (Closes: #256811)

 -- Andreas Metzler <ametzler@debian.org>  Tue, 29 Jun 2004 13:30:57 +0200

findutils (4.1.20-3) unstable; urgency=low

  * Don't ship /usr/share/info/dir.gz, change Makefile.in to use install-info
    test from new automake. The bug only applied to the autobuilt versions,
    because I don't have /usr/sbin in $PATH, thanks to Santiago Vila.
    (Closes: #217627)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 26 Oct 2003 13:44:21 +0100

findutils (4.1.20-2) unstable; urgency=low

  * Run updatedb cronjob with nice level 10 per default (configurable in
    /etc/updatedb.conf) (Closes: #46548) (Thanks to era eriksson)
  * Document how to fine-tune/disable daily updatedb-runs in README.debian
    (Closes: #183085, #183290)
  * Make sure LOCALUSER is set to a nonempty value in /etc/cron.daily/find
    (Closes: #189023)

 -- Andreas Metzler <ametzler@debian.org>  Thu, 23 Oct 2003 16:30:43 +0200

findutils (4.1.20-1) unstable; urgency=low

  * New maintainer. Hijacked package as discussed on debian-devel and
    debian-qa.
  * Update texinfo docs to use @direntry to help dh_installinfo.
    (Closes: #182172)
  * Acknowledge Thomas' grand NMU by using dpkg-buildpackage -v4.1.7-2
  * Bump standards-version to 3.6.0. (No changes required)

 -- Andreas Metzler <ametzler@debian.org>  Mon, 14 Jul 2003 14:38:34 +0200

findutils (4.1.20-0.2) unstable; urgency=low

  * repacked using debhelper and dpatch.
  * move contents of debian/Changelog to debian/changelog, remove
    emacs-variables from it.
  * reformat debian/copyright
  * Strip down debian-patch:
     - weed out all the changes to .cvsignore files.
     - the changes described in the diff to po/ChangeLog are included upstream
     - Some the changes in #123919 seem to be unneeded now (at least I do not
       get implicit declaration warnings.
     - fix for #67507 (id=0 instead of name=root) included upstream.
  * Remove old cruft from maintainerscripts:
     - compatibility code for upgrading from versions prior to 4.1-15
       (released Dec 1996) in preinst.
     - Fix permissions of /var/lib/locate (4.1-16 released Jan 1997) in
       postinst.
     - fix executable /etc/updatedb.conf. (included since 4.1-19, Mar 1997)
  * use getent instead of grep ... /etc/passwd to check for existence of
    $LOCALUSER
  * Use config.(guess|sub) from autotools-dev (Closes: #155119)
  * Fix db-path in updatedb(1). (Closes: #171877)

 -- Andreas Metzler <ametzler@debian.org>  Mon, 14 Jul 2003 10:03:33 +0200

findutils (4.1.7-2.1) unstable; urgency=low

  * Non-Maintainer upload.
  * Fixed compiler warnings about implicit declarations of various
    functions.
    Closes: #123919: findutils: find segfaults on ia64
  * debian/rules, debian/postinst: Use numeric id 0 instead of "root"
    Closes: #67507: user "root"
  * Closes: #102708: locate usage message lacks final newline
    Closes: #124333: Missing newline for helptext in locate
    Closes: #140941: findutils: locate with no args is missing final \n
    Closes: #149126: findutils: locate should print a newline after its
      error message
    Closes: #149716: findutils: locate doesn't print final newline
    Closes: #161083: findutils: If you run locate without parameters,
      there is no final newline in the output
  * Closes: #117425: findutils: xargs: missing newline on "--help" output
    Closes: #124178: xargs --help doesn't end in a newline
  * Closes: #141354: findutils: include devfs to list PRUNEFS
  * Closes: #166085: Need to exclude the mfs filesystem for mosix and
      openmosix
  * Closes: #113139: updatedb: please remove "auto" from PRUNEFS
    Closes: #129121: I don't believe fstype AUTO should be excluded in
      updatedb.conf
    Closes: #132430: auto in PRUNEFS in /etc/updatedb.conf has unexpected
      sideeffect!
    Closes: #144649: the updatedb cron script does not work on root
      filesystem type auto
    Closes: #119603: locate should index filetype (auto) [ext3fs]
  * Include LOCALUSER configuration into /etc/updatedb.conf
    Closes: #152635: midnight updatedb always runs as nobody
  * debian/cron.find: complain if $LOCALUSER does not exist.
    Closes: #97367: locate-database is destroyed by /etc/cron.daily/find
  * Closes: #109920: updatedb should not scan /sfs
  * locate/updatedb.sh: Use a default shell of /bin/sh to run find.
    Closes: #113774: findutils: updatedb makes assumption about localuser
    Closes: #119719, #119721: updatedb doesn't work in cron.daily/find if
      the user nobody has no login shell
  * Moved locatedb from /var/lib/locate/ to /var/cache/locate/.
    debian/postinst: added code to move an existing locatedb into the
    new place.
    Closes: #115399: findutils: locate FHS violation

 -- Thomas Schoepf <schoepf@debian.org>  Sun, 27 Oct 2002 20:22:26 +0100

findutils (4.1.7-2) unstable; urgency=low

  * changed libc dependencies to remove libc6-dev build-depends (closes:
    #99216).

 -- Kevin Dalley <kevind@rahul.net>  Fri,  1 Jun 2001 20:33:32 -0700

findutils (4.1.7-1) unstable; urgency=low

  * add ftpfs to PRUNEFS (closes: #90016).
  * implicit -print now works again (closes: #79218).
  * change debian/rules to support DEB_BUILD_OPTIONS.  Do not install
    INSTALL.
  * fixed security problems in find (closes: #95185).
  * upgraded to recent config.guess and config.sub (closes: #98035).
  * updated to newest upstream release.

 -- Kevin Dalley <kevind@rahul.net>  Sun, 20 May 2001 17:32:29 -0700

findutils (4.1.6-2) unstable; urgency=low

  * Adds Build-Depends texinfo (closes: #76145)

 -- Kevin Dalley <kevind@rahul.net>  Sat,  4 Nov 2000 10:20:22 -0800

findutils (4.1.6-1) unstable; urgency=low

  * find/find.c (process_path): fix problem with "-depth" which is tested
    in depth.exp test. (closes: 69782).
    
  * new alpha release.  locate --ignore-case is done.

  
  * some patches for ignoring case have been added. (closes: #19563).
  
  * fixed problems with brace expansion in debian/rules (closes: #71827)

  * doc/find.texi (Invoking xargs): changed @var{-s} to @samp{-s} (closes:
    #69529).

  * Update to a new alpha release.

  * update to new alpha release.

  * testing out 4.1.3, with internationalization.
    
  * added devpts to PRUNEFS in updatedb.conf (closes: #65503).
    
  * fixes bug described as follows:  When 'find' looks for a fstype, it
    parses the /etc/mtab until it finds the good line. But, if there is,
    before the good line, a line whose mountpoint is unreachable, it
    fails.  (closes: #40245).

  * fixed problem with strange behavior with "-name" and "-iname" (closes:
    #63270).

 -- Kevin Dalley <kevind@rahul.net>  Mon, 30 Oct 2000 23:48:26 -0800

findutils (4.1-38) frozen unstable; urgency=low

  * debian/updatedb.conf:  removed second occurrence of smbfs, added
    coda (closes: #56612, #28453).
  * fixed problem with xargs sysconf(_SC_ARG_MAX) returning -1 (closes:
    #31325).

 -- Kevin Dalley <kevind@rahul.net>  Thu, 24 Feb 2000 15:25:57 +0000

findutils (4.1-37) frozen unstable; urgency=low

  * reverted to maintainer release, fixed last NMU bugs (closes: #55417,
    #55551).

 -- Kevin Dalley <kevind@rahul.net>  Thu, 20 Jan 2000 09:52:59 -0800

findutils (4.1-36) unstable; urgency=low

  * add ncpfs and smbfs to PRUNEFS (closes: #28453).
  * update Standards-Version to 3.1.1.0
  * corrected copyright reference
  * updated dpkg-gencontrol options to provide section and priority
  * 4.1-35 was not accepted, for undetermined reasons, uploaded 4.1-36,
    with additional changes

 -- Kevin Dalley <kevind@rahul.net>  Sun, 16 Jan 2000 13:58:54 -0800

findutils (4.1-34) unstable; urgency=low

  * removed cron.updatedb (fixes bug #31300).
  * added const to declaration of basename, which should satisfy Linux as
    well as Hurd (fixes bug #31325).
  * added /var/spool to PRUNEPATHS in updatedb.conf so that /var/spool is
    not scanned by updatedb (fixes bug #31301).

 -- Kevin Dalley <kevind@rahul.net>  Sat, 30 Jan 1999 16:51:34 -0800

findutils (4.1-33) frozen unstable; urgency=low

  * re to remove predependency problem with a specific version libc6.

 -- Kevin Dalley <kevind@rahul.net>  Thu, 17 Dec 1998 08:11:15 -0800

findutils (4.1-32) frozen unstable; urgency=low

  * added documentation for the environment variables PRUNEPATHS, PRUNEFS, 
    and NETPATHS for updatedb in find.texi and updatedb.1.  Added
    documentation for --prunefs in updatedb. (fixes bug #29755).
  * link ChangeLog.gz to changelog.gz, to follow policy manual.

 -- Kevin Dalley <kevind@rahul.net>  Fri,  4 Dec 1998 23:17:57 -0800

findutils (4.1-31) unstable; urgency=low

  * fix getstr so that it correctly handles long file paths

 -- Kevin Dalley <kevind@rahul.net>  Sat, 26 Sep 1998 16:07:03 -0700

findutils (4.1-30) unstable; urgency=low

  * reduced PATH in update.sh to increase security (fixes bug #21704)
  * removed more function declarations to meet GNU coding standards
  * removed "-s /bin/sh" from updatedb change quoting around PRUNEFS
    (fixes bug #20812, again, and #26857)

 -- Kevin Dalley <kevind@rahul.net>  Sun, 20 Sep 1998 19:06:19 -0700

findutils (4.1-29) unstable; urgency=low

  * removed declaration of strdup and free from lib/nextelem.c, which
    meets GNU coding standards and allow compilation on sparc (and fixes
    bug #20840)
  * corrected explanation of -amin option which described hours instead of 
    minutes (fixes bug #22995)
  * check status of tempfile commands and exit upon failure (fixes bug
    #22350) 
  * added iso9660 to PRUNEFS so that CDs will not be automatically scanned 
    by updatedb (fixes bug #24548)
  * added "-s /bin/sh" to all instances of command su, which allows
    updatedb to be easily used by users which have a different shell.
    (fixes bug #20812)

 -- Kevin Dalley <kevind@rahul.net>  Sun, 30 Aug 1998 01:40:04 -0700

findutils (4.1-28) frozen unstable; urgency=low

  * use tempfile for extra safety (fixes bug #19791)

 -- Kevin Dalley <kevind@rahul.net>  Thu, 19 Mar 1998 00:37:28 -0800

findutils (4.1-27) unstable; urgency=low

  * add --existing option to locate, which only prints the names of files
    which still exist (fixes: bug #14037)
  * upgrade standards version

 -- Kevin Dalley <kevind@rahul.net>  Fri, 27 Feb 1998 01:43:36 -0800

findutils (4.1-26) unstable; urgency=low

  * added auto fs to PRUNEFS variable in updatedb.conf to prune
    automounted file systems (fixes: bug #13662)
  * corrected get_short so that it correctly returns negative
    numbers. (fixes: bug #17774)
  * remove declarations of various string functions which allows
    compilation under sparc.  Removing the declarations almost
    matches the GNU Coding Standards.(fixes: bug #16948)
	    
 -- Kevin Dalley <kevind@rahul.net>  Sun,  8 Feb 1998 22:43:13 -0800
	
findutils (4.1-25) unstable; urgency=low

  * change auto to autofs in PRUNEFS variable in updatedb.conf

 -- Kevin Dalley <kevin@aimnet.com>  Tue, 30 Sep 1997 09:13:27 -0700

findutils (4.1-24) unstable; urgency=low

  * added auto to PRUNEFS, so that automounted fs are automatically pruned 

 -- Kevin Dalley <kevin@aimnet.com>  Sat, 27 Sep 1997 01:14:52 -0700

findutils (4.1-23) unstable; urgency=low

  * This release is built with libc6 release
  * add "#define _GNU_SOURCE" to pred.c
  * zip man pages, which fixes bug #10272: findutils manpages are not
    compressed. 

 -- Kevin Dalley <kevin@aimnet.com>  Sun,  6 Jul 1997 14:12:56 -0700

findutils (4.1-22) frozen unstable; urgency=low

  * add smbfs to PRUNEFS in updatedb.conf, which is bug #8668, findutils:
    Updatedb should not scan smbfs mounts 

 -- Kevin Dalley <kevin@aimnet.com>  Sun, 27 Apr 1997 00:20:23 -0700

findutils (4.1-21) frozen unstable; urgency=low

  * fixed preinst to handle install, which fixes bug #8351

 -- Kevin Dalley <kevin@aimnet.com>  Wed, 2 Apr 1997 22:21:59 -0800

findutils (4.1-20) unstable; urgency=low

  * really fixed xargs to prevent occasional core dumping, which fixes bug
    #7287.  findutils-4.1-19 skipped including this patch

 -- Kevin Dalley <kevin@aimnet.com>  Mon, 3 Mar 1997 22:50:28 -0800

findutils (4.1-19) unstable; urgency=low

  * /etc/updatedb.conf execution mode is removed, which fixes bug #7569
  * xargs fixed to prevent occasional core dumping, which fixes bug #7287
  * added comment in README.debian describing updatedb on automatically
    mounted file systems only, which closes bug #7023

 -- Kevin Dalley <kevin@aimnet.com>  Sun, 2 Mar 1997 11:51:30 -0800

findutils (4.1-18) unstable; urgency=low

  * added extra '\' so that localuser, prunefs, and prunepaths can work
    together, which fixes bug #6640

 -- Kevin Dalley <kevin@aimnet.com>  Thu, 23 Jan 1997 02:00:11 -0800

findutils (4.1-17) unstable; urgency=low

  * corrected permission on /var/lib/locate again in postinst.

 -- Kevin Dalley <kevin@aimnet.com>  Sun, 12 Jan 1997 15:24:17 -0800

findutils (4.1-16) unstable; urgency=low

  * add --localuser option to updatedb, which allows find to be run as
    nobody, while allowing database file to be created as root, change
    suggested by <Bernd_Eckenfels@Wittumstrasse13.76646Bruchsal.de>
  * install /var/lib/locate as root:root
  * doc/find.texi, locate/updatedb.sh: add --localuser documention.
  * debian/postinst: change /var/lib/locate directory to be owned by root
  * debian/cron.find: use --localuser option so to updatedb is run as
    root, but find is run as nobody
  * correct warning message in preinst, fixes bug #6498: findutils.preinst
    mentions /etc/find.conf instead of /etc/updatedb.conf

 -- Kevin Dalley <kevin@aimnet.com>  Sat, 11 Jan 1997 19:16:39 -0800

findutils (4.1-15) unstable; urgency=low

  * added PRUNEFS as variable in updatedb and --prunefs as option to
    updatedb (solves bug #1239, which is RFE)
  * rename cron.find to cron.updatedb (and cron.daily/find to
    cron.daily/updatedb)
  * find.texi, find.info*: changed certain defaults back to the way they
    were in the original release, added prunefs option
  * findutils/locate/updatedb.sh: added prunefs option
  * debian/rules: added find.conf and changed method of installation of files
  * debian/preinst: add information about changed find.conf when upgrading
  * debian/find.conf: updatedb configuration file
  * debian/find.conf: use find.conf
  * debian/conffiles: added find.conf as configuration file
  * renamed find.conf to updatedb.conf

 -- Kevin Dalley <kevin@aimnet.com>  Sat, 28 Dec 1996 14:21:07 -0800

findutils (4.1-14) stable unstable; urgency=low

  * install conffiles so that find is a conffile (this was last during the
    standards-version update

 -- Kevin Dalley <kevin@aimnet.com>  Sat, 21 Dec 1996 12:54:46 -0800

findutils (4.1-13) stable unstable; urgency=HIGH

  * fixes bug which prevents locate from running in previous
    installations, which is /var/lib/locate directory being owned by
    root.
    
  * remove recursive chown and chmod from debian/rules.  set
    /var/lib/locate to nobody:nogroup in postinst, just in case it was set
    previously by another installation.

 -- Kevin Dalley <kevin@aimnet.com>  Tue, 17 Dec 1996 23:34:44 -0800

findutils (4.1-12) unstable; urgency=low

  * changed debian/control to satisfy standards and fix bug #3566,
  summary incorrect
  * moved files debian.* to debian/*
  * converted to Standards-Version: 2.1.1.0
    
 -- Kevin Dalley <kevin@aimnet.com>  Wed, 23 Oct 1996 21:06:15 -0700

Mon May 27 01:07:52 1996  Kevin Dalley  <kevin@aplysia.iway.aimnet.com (Kevin Dalley)>

	* updatedb.sh: when NETPATHS is used, only su to NETUSER if whoami
	is root

	* debian.rules: now creates *.architecture.deb
		 upgraded to Debian release 11
	stopped rm of find.info*

Sat Apr 27 12:29:06 1996  Kevin Dalley  <kevin@aplysia.iway.aimnet.com (Kevin Dalley)>

	* find.info, find.info-1, find.info-2: updated to match find.texi

	* debian.rules (debian): update debian revision to 10

	* getline.c (getstr): verify that nchars_avail is *really* greater
	than 0; set *n to a large enough number, stops some core dumping

Mon Apr 15 05:06:15 1996  Kevin Dalley  <kevin@aplysia.iway.aimnet.com (Kevin Dalley)>

        * debian.rules: change to findutils-4.1-9

	* configure: restore configure from autoconf version 2.1, which
	was modified in findutils-4.1-7

Sun Apr 14 00:09:13 1996  Kevin Dalley  <kevin@aplysia.iway.aimnet.com (Kevin Dalley)>

* debian.control, debian.rules:
	added architecture field, updated debian.rules, bumped version

* find.texi, updatedb.sh:
	added /amd, /net, /alex to list of files to be ignored

Sun Feb 25 13:23:21 1996  Kevin Dalley  <kevin@aplysia.iway.aimnet.com (Kevin Dalley)>

* debian.rules: finish variable changing of v, d, and p

* updatedb.sh: ignore file type proc, remove proc from PRUNEPATHS
	(this should *really* be changed in upstream package)

* debian.rules: changed variables v and d to complete words version and debian

* debian.control: deleted PACKAGE_REVISION field, modified version field

* cron.find: cd to / before running updatedb

Sun Jan 12 15:24:31 1997  Kevin Dalley  <kevin@aimnet.com>

* debian/postinst: corrected permission for /var/lib/locate in postinst again.
